Bug 1477218 - RAID support too restrictive / broken
RAID support too restrictive / broken
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
27
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 09:41 EDT by Wolfgang Denk
Modified: 2017-11-20 04:06 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tarball with installation log files (59.71 KB, application/octet-stream)
2017-11-09 15:05 EST, Wolfgang Denk
no flags Details

  None (edit)
Description Wolfgang Denk 2017-08-01 09:41:46 EDT
Description of problem:

I run a system with 2 disks.  Fr reasons of reliability I want mirroring, for reasons of (single-thread) performance I want to use RAID10 for this - see [1]
for details.

[1] https://blog.a2o.si/2014/09/07/linux-software-raid-why-you-should-always-use-raid-10-instead-of-raid-1/

Problem 1: The installer does not allow to create such a RAID configuration; I did not even find a way to provide options like "--layout=f2", but creating a RAID10 from only 2 disks seems to be totally impossible.

Problem 2: So I pre-formatted the disks in another machine, created all needed partitions and RAID arrays.  I can see that the installer recognizes and starts the arrays, so this looks fine.  BUT:

- Booting Fedora-Server-dvd-x86_64-26-1.5.iso, the installer hangs before starting the GUI; the mouse pointer appears, then the GUI hangs forever.

- Booting Fedora-Workstation-Live-x86_64-26-1.5.iso, I can start the installer.  But when I try to select the artitions needed for the arrays, it will complain that I need at least 4 drives for a RAID10 array.  Which is incorrect.

So there is no way to use standard installation for such a configuration!

Version-Release number of selected component (if applicable):


How reproducible:

always.

Steps to Reproduce:

see above.

Actual results:

Installer does not support needed configuration

Expected results:


Installer allows the user to set up system as needed.

Additional info:
Comment 1 Jiri Konecny 2017-08-02 03:38:57 EDT
Hello,

As I see this you are experiencing two issues here.

First, we are not supporting raid 10 on only two devices.
This is correct, we are using blivet library for partitioning which does not support this scheme. We need to reassign this issue to the python-blivet.

Second, the pre-formatted partitioning can't be used inside of Anaconda. This should be working and it could be a bug inside of Anaconda.

For both of these issues to be solved the logs from the failed installation would be really valuable. You can obtain these logs by switching tty (Ctrl+Alt+F1 for tmux instance or Ctrl+Alt+F2 for normal console) and grabbing logs from /tmp/*.log then upload these logs here.

Thank you for reporting this issue.
Comment 2 Wolfgang Denk 2017-11-09 15:05 EST
Created attachment 1350094 [details]
Tarball with installation log files

Tarball with installation log files - running from Fedora-Workstation-Live-x86_64-27_Beta-1.5.iso
Comment 3 Wolfgang Denk 2017-11-09 15:06:37 EST
Same problems with beta of Fedora 27 when trying the installation from the Fedora-Workstation-Live-x86_64-27_Beta-1.5.iso disk.
Comment 4 Jiri Konecny 2017-11-10 02:04:10 EST
Hi Wolfgang,

I have a good news. We have new storage option in the text UI and the kickstart installation from F27. You can now use mountpoint assignment solution which works in a way -- create your partitioning and just attach mountpoints. This should fix your second problem.

For the first problem I'm switching this bug to the storage library.

Thank you for the logs.
Comment 5 Wolfgang Denk 2017-11-17 02:35:02 EST
How exactly would I use this?
The live installer (Fedora-Workstation-Live ISO) does not seem to offer anything like that - or I'm missing it.
Where can I find documentation for this?
Comment 6 Jiri Konecny 2017-11-20 04:06:30 EST
Hello Wolfgang,

Yes, you are right. You don't have this option on live installation this is useful for automatic kickstart installation and TUI installations. In GUI Live installation you basically don't need this at all. You can use tools like blivet-gui, gparted or shell to create your partitioning and after that run Anaconda. Of course first the installer hang problem needs to be fixed.

Jirka

Note You need to log in before you can comment on or make changes to this bug.